Hyperviseur_dash Class Reference
Inheritance diagram for Hyperviseur_dash:
[legend]
Collaboration diagram for Hyperviseur_dash:
[legend]

## Public Member Functions

| __construct ()
| index ()
| getAllUser_g ()
| getAllSupervisor ()
| getAllSupervisorPositions ()
| getDemandes ()
| addvilles ()
| getDemandesAd ()
| wallet ()
| walletPassword ()
| generate_wallet_password ()
| resetWalletPassword ()
| recharge_wallet ()
| rembourser_compensation ()
| calculator ()
| calculateFees1 (array $paliers, $montant)
| calculateFees2 ($min, $max, $taux, $montant)
| calculateTax (array $taxes, $frais)
| random_string ()
| config_sharing_rate ()
| nano_credit ()
| saveCreditLimit ()
| saveNanoCreditSharedRates ()
| saveNanoCreditRates ()
| recherche ()
| get_user ()
| operators ()
| active_operator ()
| deactive_operator ()
| active_transmitting_network ()
| deactive_transmitting_network ()

## Detailed Description

Created by PhpStorm. User: Hanry Nzale Date: 03/08/2018 Time: 02:03

## Constructor & Destructor Documentation

## __construct()

__construct | ( |  | ) |

## Member Function Documentation

## active_operator()

active_operator | ( |  | ) |

## active_transmitting_network()

active_transmitting_network | ( |  | ) |

## addvilles()

addvilles | ( |  | ) |

## calculateFees1()

calculateFees1 | ( | array | $paliers,
|  |  | $montant
| ) |  |

## calculateFees2()

calculateFees2 | ( |  | $min,
|  |  | $max,
|  |  | $taux,
|  |  | $montant
| ) |  |

## calculateTax()

calculateTax | ( | array | $taxes,
|  |  | $frais
| ) |  |

## calculator()

calculator | ( |  | ) |

## config_sharing_rate()

config_sharing_rate | ( |  | ) |

## deactive_operator()

deactive_operator | ( |  | ) |

## deactive_transmitting_network()

deactive_transmitting_network | ( |  | ) |

## generate_wallet_password()

generate_wallet_password | ( |  | ) |

## get_user()

get_user | ( |  | ) |

## getAllSupervisor()

getAllSupervisor | ( |  | ) |

## getAllSupervisorPositions()

getAllSupervisorPositions | ( |  | ) |

## getAllUser_g()

getAllUser_g | ( |  | ) |

## getDemandes()

getDemandes | ( |  | ) |

## getDemandesAd()

getDemandesAd | ( |  | ) |

## index()

index | ( |  | ) |

## nano_credit()

nano_credit | ( |  | ) |

## operators()

operators | ( |  | ) |

## random_string()

random_string | ( |  | ) |

## recharge_wallet()

recharge_wallet | ( |  | ) |

## recherche()

recherche | ( |  | ) |

## rembourser_compensation()

rembourser_compensation | ( |  | ) |

## resetWalletPassword()

resetWalletPassword | ( |  | ) |

## saveCreditLimit()

saveCreditLimit | ( |  | ) |

## saveNanoCreditRates()

saveNanoCreditRates | ( |  | ) |

## saveNanoCreditSharedRates()

saveNanoCreditSharedRates | ( |  | ) |

## wallet()

wallet | ( |  | ) |

## walletPassword()

walletPassword | ( |  | ) |

The documentation for this class was generated from the following file:

- application/controllers/Hyperviseur_dash.php